IXV(4)

NAME
ixv - Intel 10Gb Ethernet virtual function device

SYNOPSIS
ixv* at pci?

DESCRIPTION
The ixv driver supports the SR-IOV virtual functions of Intel 82598EB, 82599, and X540-based Ethernet controller devices.

SEE ALSO
arp(4), ifmedia(4), intro(4), ix(4), netintro(4), pci(4), hostname.if(5), ifconfig(8)

HISTORY
The ixv driver first appeared in OpenBSD 7.7.

AUTHORS
The ixv driver was written by Intel Corporation and ported to OpenBSD by NAITO Yuichiro.

BUGS
The VF relies on “vlan-filter” to receive VLAN-tagged packets. Because the current driver doesn't have a way to configure it, any VLAN-tagged packets will not be passed. Alternatively, on the host running the primary function, there might be a way to configure a VLAN ID.